package com.ruoyi.learn.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 定向知识点关系对象 learn_directed_knowledge
 * 
 * @author ruoyi
 * @date 2025-09-25
 */
public class LearnDirectedKnowledge extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 年度 */
    @Excel(name = "年度")
    private Integer year;

    /** 查询年度 */
    @Excel(name = "查询年度")
    private Integer matchYear;

    @Excel(name = "院校ID")
    private Long universityId;

    /** 定向Key */
    @Excel(name = "定向Key")
    private String directKey;

    /** 录取公式 */
    @Excel(name = "录取公式")
    private String enrollFormula;

    /** 文化科目 */
    @Excel(name = "文化科目")
    private String cultural;

    /** 专业类别 */
    @Excel(name = "专业类别")
    private String professional;

    /** 专业科目 */
    @Excel(name = "专业科目")
    private String subjects;

    /** 题型分布 */
    @Excel(name = "题型分布")
    private String questionTypes;

    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String knowledges;

    /** 适用省份 */
    @Excel(name = "适用省份")
    private String locations;

    /** 适用考生类型 */
    @Excel(name = "适用考生类型")
    private String examineeTypes;

    /** 仿真模拟卷要求 */
    @Excel(name = "仿真模拟卷要求")
    private String conditions;

    @Excel(name = "包含模块")
    private String modules;

    public Double score;
    public Integer time;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }

    public void setYear(Integer year)
    {
        this.year = year;
    }

    public Integer getYear()
    {
        return year;
    }

    public Integer getMatchYear() {
        return matchYear;
    }

    public void setMatchYear(Integer matchYear) {
        this.matchYear = matchYear;
    }

    public Long getUniversityId() {
        return universityId;
    }

    public void setUniversityId(Long universityId) {
        this.universityId = universityId;
    }

    public void setDirectKey(String directKey)
    {
        this.directKey = directKey;
    }

    public String getDirectKey() 
    {
        return directKey;
    }

    public void setEnrollFormula(String enrollFormula) 
    {
        this.enrollFormula = enrollFormula;
    }

    public String getEnrollFormula() 
    {
        return enrollFormula;
    }

    public void setCultural(String cultural) 
    {
        this.cultural = cultural;
    }

    public String getCultural() 
    {
        return cultural;
    }

    public void setProfessional(String professional) 
    {
        this.professional = professional;
    }

    public String getProfessional() 
    {
        return professional;
    }

    public void setSubjects(String subjects) 
    {
        this.subjects = subjects;
    }

    public String getSubjects() 
    {
        return subjects;
    }

    public void setQuestionTypes(String questionTypes) 
    {
        this.questionTypes = questionTypes;
    }

    public String getQuestionTypes() 
    {
        return questionTypes;
    }

    public void setKnowledges(String knowledges) 
    {
        this.knowledges = knowledges;
    }

    public String getKnowledges() 
    {
        return knowledges;
    }

    public void setLocations(String locations) 
    {
        this.locations = locations;
    }

    public String getLocations() 
    {
        return locations;
    }

    public void setExamineeTypes(String examineeTypes) 
    {
        this.examineeTypes = examineeTypes;
    }

    public String getExamineeTypes() 
    {
        return examineeTypes;
    }

    public void setConditions(String conditions) 
    {
        this.conditions = conditions;
    }

    public String getConditions() 
    {
        return conditions;
    }

    public String getModules() {
        return modules;
    }

    public void setModules(String modules) {
        this.modules = modules;
    }

    public Double getScore() {
        return score;
    }

    public void setScore(Double score) {
        this.score = score;
    }

    public Integer getTime() {
        return time;
    }

    public void setTime(Integer time) {
        this.time = time;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("year", getYear())
            .append("directKey", getDirectKey())
            .append("enrollFormula", getEnrollFormula())
            .append("cultural", getCultural())
            .append("professional", getProfessional())
            .append("subjects", getSubjects())
            .append("questionTypes", getQuestionTypes())
            .append("knowledges", getKnowledges())
            .append("locations", getLocations())
            .append("examineeTypes", getExamineeTypes())
            .append("conditions", getConditions())
            .toString();
    }
}
